# Tildes Issue Log

## 2018

* [May](https://gitlab.com/Bauke/tildes-issue-log/tree/master/2018/May/post.md)

## Contributing

If you'd like to write a highlight section about a feature, please do! I'm not a writer by any means and would love to have other people write these instead. If you're not familiar with the Git workflow you can always [private message me](https://tildes.net/user/Bauke/new_message) with what you've written and I'll add your section for you, crediting your Tildes profile. If you'd like to learn Git, you can find tons of guides online. [Here's](https://try.github.io/) an excellent one.

## Building

If you'd like to build the issue table and/or statistics yourself you can follow these steps.

You'll need [Node JS](https://nodejs.org/) and [Yarn](https://yarnpkg.com/). You *can* use NPM however I don't. You probably know what you're doing though at that point.

* Clone the repository
  * SSH: `git clone git@gitlab.com:Bauke/tildes-issue-log.git`
  * HTTPS: `git clone https://gitlab.com/Bauke/tildes-issue-log.git`
* Change into the directory: `cd tildes-issue-log`
* Install the dependencies: `yarn`
* Create a `config.json` file from the sample config, including a [personal access token](https://docs.gitlab.com/ee/user/profile/personal_access_tokens.html) from GitLab. **config.json is gitignored however make sure you don't publish your token somewhere on accident.**
* Run `yarn start` to download the issues from the current month we're in.

This will create a new directory like `2018/August` and have 2 folders and 3 markdown files.

The folders are for issues both opened or closed during that month and are gitignored. `post.md` will be the same as `template.md` unless it already exists. `table.md` will be the issue table. `statistics.md` will be the statistics.

If you're working on the generation process you can run `yarn nodl` to skip the downloading phase, this will only generate `table.md` and `statistics.md`. This way you don't have to wait several seconds for the GitLab API to respond.
